/***********************************************************************
 ** default  theme.css  
 ***********************************************************************/

:root {
  --stack-body-fg: #333;
  --stack-body-bg: /*#f2f2f2;*/ #f5f5f4;
  --stack-headbar-bg: black;
  --stack-headbar-fg: #ffff88;
  --stack-headbar-hover: yellow;
    
    /* header of a book and main stack (site). */
  --book-theme-bg: #036399;
  --book-theme-fg: white;
  
    /* page sections of the main body. */
  --section-card-bg: white;
  --section-card-fg: #222;
  --section-title-fg: #222222;
  --section-title-size: 30px;
  --section-text-fg: #575757;
  --section-text-size: 14.4px;
  --section-hover-bg: #f4f4f4;
  --section-hover-fg: #555;
  --section-border-color: #ccc;
  --section-shadow-color: #eee;
  --section-hrule-color: #ccc;
  --section-btn-fg: #555;
  --section-btn-bg: white;
  --subsect-title-fg: var(--book-theme-bg);
  --subsect-title-size: 18px;
  --subsect-text-size: 13px;
  
  
    /* input elements within page sections. */
  --input-box-bg: #f4f4f4;
  --input-label-fg: #555555;
  --input-label-size: 13.6px;
  --input-text-fg: #444444;
  --input-btn-text: 12.0px;
  
    /* general link colors */
  --link-normal-color: #206ea7;
  --link-hover-color: #006000;
  
}


/* ----------------------------------------------------------------
 *  HTML body settings
 * ----------------------------------------------------------------*/

html {
  height: 100%;
}

body {
  margin: 0px; 
  font-family: "Roboto", arial, helvetica, Verdana, sans-serif; 
  font-size: 16px; 
  font-weight: normal; 
  color: var(--stack-body-fg);
  background-color: var(--stack-body-bg);
}



/* ----------------------------------------------------------------
 *  Wiki Header
 * ----------------------------------------------------------------*/

header {
  position: sticky;
  position: -webkit-sticky;  
  z-index: 200;
  top: 0;
  width: 100%;
  height: 59px; /*68px;*/ /*65px;*/ 
  background-color: var(--book-theme-bg);
  color: var(--book-theme-fg);
  box-shadow: 0px 3px 7px black;
  margin-bottom: 0px; 
}


header a, 
header a:link,
header a:visited, 
header a:hover {
  color: var(--book-theme-fg); 
  text-decoration: none;
}


header .stacktitle {
  font-size: 20px; 
}

header .stacktitle a, 
header .stacktitle a:link,
header .stacktitle a:visited, 
header .stacktitle a:hover {
  font-weight: 500;
  color: var(--book-theme-fg); 
  text-decoration: none;
}

header .stacksubtitle {
  font-size: 18.62px;
  font-style: italic;
  display: inline-block;
  font-family: 'Times New Roman', serif;
}


header .headerbar {
  border-top: 1px solid #eee;
  background-color: var(--stack-headbar-bg);
  height: 24px; 
  padding-left: 0px;
  padding-right: 1ex;
  font-size: 9px;
  height: 18px;
}

header .stackauthor a {
  text-decoration: none;
}

header .stackcmd a,
header .stackicon a {
  text-decoration: none;
  font-weight: bold;
}

header .stackcmd a:hover,
header .stackicon a:hover,
header .stackauthor a:hover {
  color: var(--stack-headbar-hover); 
  text-decoration: none;
}

header .stackicon {
  width: 55px;
  padding-top: 2px;
}

header .stackicon img {
  width: 38px; 
  height: 38px; 
  vertical-align: middle;
}


header .stackauthor {
  font-size: 13px; 
  padding-left: 10px;
  padding-right: 1ex;
  color: var(--stack-headbar-fg);
  line-height: 13px;
  display: inline-block;
}

header #searchbar {
  padding-right: 7px;
  padding-bottom: 0px;   
  padding-top: 2px;
  padding-bottom: 2px;
  display: inline-block;
}

header .searchform {
  margin: 0px;
  font-size: 10pt;
}

header .searchform {
  font-size: 9pt;
}

header .searchbtn {
  display: none;
}

header #searchbox {
  border-radius: 8px;
  border: 1px solid white;
}

header .stackcmd {
  color: white;
  font-size: 13px; 
  font-weight: bold;
  padding-left: 10px;
  padding-right: 1ex;
  color: var(--stack-login-fg);
  line-height: 13px;
  display: inline-block;  
}


/* ----------------------------------------------------------------
 *  Main Body
 * ----------------------------------------------------------------*/

main {
  margin-left: 0px; 
  margin-top: 20px;
  font-size: 1em; 
  padding-left: 0px;
  padding-right: 0px;
/*  width: 1000px; */  
  padding-top: 20px;
  padding-left: 20px;
  padding-right: 20px;
  padding-bottom: 20px;  
  min-height: 6in;
  line-height: 1.4;  
}

main #stack {  
  padding-top: 3ex;
  padding-bottom: 3ex;
}

main #settings {
}


/* ----------------------------------------------------------------
 *  General styles
 * ----------------------------------------------------------------*/

.text-right {
  text-align: right;
}

.button {
}

/* ----------------------------------------------------------------
 *  Error message box
 * ----------------------------------------------------------------*/

div.alert {
  display: inline-block;
  background-color: white;
  vertical-align: center;
  line-height: 1.3;
  color: #ab0f0e;
  border-radius: 6px;
  border: 1px solid var(--section-border-color);
  border-left: 6px solid #ab0f0e;
  width: 4in;
  min-height: 0.75in;
/*  box-shadow: 1px 1px 3px #eee; */
  box-shadow: 0, 4px 8px 0 rgba(0, 0, 0, 0.2);
  position: absolute;
  top: 90;
  left: 70%;
}

div.alert .flex-container-row {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}

div.alert-icon {
  display: inline-block;
  width: 50px;
  height: 100%;
  margin-left: 2ex;  
}

div.alert .message {
  display: inline-block;
  margin: 2ex;
  margin-right: 3ex;
  font-weight: bold;
  font-size: 14px;
}

div.alert .close-btn {
  display: inline-block;
  color: #777;
  float: right;
  margin-right: 1ex;
 /* position: absolute;
  top: 8px;
  right: 12px;*/
  cursor: pointer;
  font-size: 24px;
  font-weight: normal;
}

 
/* ----------------------------------------------------------------
 *  Section styles
 * ----------------------------------------------------------------*/

section {
  font-size: var(--section-text-size);
}

section .flex-container-row {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}

 /* Used with the <h1> title of a section block. */
section h1 { 
  color: var(--section-title-fg);
  font-size: var(--section-title-size);
  font-weight: normal;
  margin-top: 14px;
  margin-bottom: 18px;
}


section.card {
  color: var(--section-card-fg);
  background-color: var(--section-card-bg);
  border-color: #bbb;
/*  box-shadow: 0 1px 6px -1px black;*/
  box-shadow: 0px 0px 2px 0px #ccc;
  border-radius: 8px;
  padding: 16px 32px 16px 32px;  
  min-height: 300px;
  margin-left: auto;
  margin-right: auto;  
}

section .section-text {
  color: var(--section-text-fg);
  font-size: var(--section-text-size);
  margin-bottom: 10px;
}

section hr {
  margin-top: 25px;
  margin-bottom: 30px;
  border: none;
  border-top: 1px solid var(--section-hrule-color);
}

section .button {  
  display: inline-block;
  color: var(--book-theme-fg);
  background-color: var(--book-theme-bg);
  border: 1px solid var(--book-theme-bg);
  border-radius: 4px;
  box-shadow: 2px 2px 3px var(--section-shadow-color);
  font-size: var(--input-btn-text);
  line-height: 1.4em;
  padding: 8px 16px;
  cursor: pointer;
}


section a.button:link,
section a.button:visited,
section a.button {
  text-decoration: none;
  color: var(--book-theme-fg);
}

section a.button:hover {
  filter: brightness(1.2);
}

section a.button.outline {
  color: var(--section-btn-fg);
  background-color: var(--section-btn-bg);
  border: 1px solid var(--section-border-color);
}


section a.button.outline:link,
section a.button.outline:visited,
section a.button.outline {
  text-decoration: none;
  color: var(--book-theme-bg);
}

section a.button.outline:hover {
  filter: none;
  border-color: black;
}


 /* Used with the <h2> title of a sub section block. */
section .subsection h2 { 
  color: var(--subsect-title-fg);
  font-size: var(--subsect-title-size);
  font-weight: normal;
  margin-top: 16px;
  margin-bottom: 8px;
}

section .subsection {
  color: var(--section-text-fg);
  font-size: var(--subsect-text-size);
  margin-bottom: 16px;
}

section .button-group {
  margin-bottom: 16px;
}

section .button-group button {
  margin-left: 2ex;
}


/* ----------------------------------------------------------------
 *  Forms
 * ----------------------------------------------------------------*/

.card form label {
  color: var(--input-label-fg);
  font-size: var(--input-label-size);
  padding-bottom: 2px;
  display: block;
}

.card .form-group.horz labelx {
  padding-left: 5px;
  padding-bottom: 2px;
  display: inline-block;
}

.card form .form-group {
  margin-bottom: 15px;
}

form .flex-container-row {
  column-gap: 30px;
}

.flex-container-row .form-group {
  flex: 1;
}

.card form .error {
  color: #a00000;
  font-size: var(--input-label-size);    
}


.card form input[type="text"] {
  box-sizing: border-box;  
  font-size: 14px;
  width: 100%;
  padding: 9px;
  color: var(--input-text-fg);
  border: 1px solid #b4b4b4;  
  border-radius: 3px;
}

.card form input[type="password"] {
  box-sizing: border-box;
  outline-width: 1px;
  outline-color: var(-book-theme-bg);    
  font-size: 14px;
  width: 100%;
  padding: 9px;
  color: var(--input-text-fg);
  border: 1px solid #b4b4b4;  
  border-radius: 3px;  
}

.card form .custom-chkbox {
  position: absolute;
  opacity: 0;
  width: 0;
  height: 0;
}

.card form .chkbox-label {
  position: relative;
  padding-left: 28px;
  cursor: pointer;
  line-height: 20px;
}

.card form .chkbox-label::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 14px;
  height: 14px;
  border: 2px solid var(--book-theme-bg);
  border-radius: 2px;
  background: white;
}

/* Checkmark for checked state */
.card form .custom-chkbox:checked + .chkbox-label:after {
  content: "";
  position: absolute;
  left: 7px;
  top: 0px;
  width: 6px;
  height: 12px;
  border: solid black;
  border-width: 0 2px 2px 0;
  transform: rotate(45deg); 
}

/* Style checked state background */
.card form .custom-chkbox:checked + .chkbox-label::before {
  /*background: #2196F3;*/ 
  /*border-color: #2196F3;*/
  filter: brightness(1.5);  
}
 
/* Hover state */
.card form .chkbox-label:hover::before {
  background-color: var(--input-box-bg);
}
 
/* Focus + Checked state shadow */
.card form .custom-chkbox:focus:checked + .chkbox-label::before {
  box-shadow: 0 0 0px 3px rgba(100, 100, 100, 0.4);
}

/* Focus state (critical for accessibility) */
.card form .custom-chkbox:focus + .chkbox-label::before {
 /* background-color: var(--input-box-bg);*/
  box-shadow: 0 0 0 3px #ddd; /*rgba(33, 150, 243, 0.2);*/ /* Blue glow */
}


.card button.button {
  line-height: 1.4em;
  padding: 7.5px 16px;
  margin-top: 8px;
  margin-bottom: 6px;
  cursor: pointer;
  background-color: var(--book-theme-bg);
  color: var(--book-theme-fg);
  box-shadow: none;
  border: 1px solid var(--book-theme-bg);
  border-radius: 4px;
  font-size: var(--input-btn-text);
}

.card button.button.outline {
  color: var(--section-btn-fg);
  background-color: var(--section-btn-bg);
  border: 1px solid var(--section-border-color);
}

.card form button:focus {
  outline-offset: -5px;
  outline: 1px dotted var(--book-theme-fg);
  border-width: 1px;
  border-color: var(--book-theme-bg);
}

.card form input:focus {
  outline: none;
  border-width: 1px;
  border-color: var(--book-theme-bg);
  background-color: var(--input-box-bg);
}


/* ----------------------------------------------------------------
 *  List items on a card.
 * ----------------------------------------------------------------*/

.card .list-items {
  border: 1px solid var(--section-border-color);
  border-radius: 4px;
  box-shadow: 1px 1px 3px var(--section-shadow-color);
  overflow: hidden;
  color: var(--section-text-fg);
  margin-top: 3ex;
}

.card  .list-items .stacked + .stacked {
  border-top: 1px solid var(--section-border-color);  
}

.card  .list-items .flex-container-row {
  padding: 1.5ex;
}

.card  .list-items .flex-container-row:hover {
  background-color: var(--section-hover-bg);
}


/* ----------------------------------------------------------------
 *  Frontpage Section Block
 * ----------------------------------------------------------------*/

section.welcome {
  width: 600px;
}

/* ----------------------------------------------------------------
 *  Login Section Block
 * ----------------------------------------------------------------*/

section.login {
  width: 448px;
}

/* ----------------------------------------------------------------
 *  Users Section blocks
 * ----------------------------------------------------------------*/

section.users .list-items .uname {
}

section.users .list-items .roles {
  font-size: 0.9em;
}
 
section.users {
  line-height: 1.4;
  width: 700px;
}

section.users .flex-container-row .uname {
  width: 1.75in;
  margin-left: 2ex;
  margin-right: 2ex;
}

section.users .flex-container-row .roles {
  flex-grow: 1;
  margin-right: 2ex;
}

section.users .flex-container-row .action {
  min-height: calc(1.4em * 2);
}

/* ----------------------------------------------------------------
 *  Default link colors when no specific ones are defined.
 * ----------------------------------------------------------------*/

a, a:visited, a:link {
	color: var(--link-normal-color);
	text-decoration: none;
	font-weight: normal;
}

a:hover {
	text-decoration: underline;
	color: var(--link-hover-color);
}
